Uses sysutils;

const   filein='D.in';
        fileout='D.out';

var i,j,k,l,m,n,cur,lenga,lengn,r  :longint;

procedure readf;
begin
 assign(input,filein);
 reset(input);
  read(n,m,k);
 close(input);
end;

procedure vivod;
begin
 assign(output,fileout);
 rewrite(output);
  write(n-m+k);
 close(output);
end;

begin
 readf;
 vivod;
end. 
